| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | List of all members
cv::detail::tracking::TrackerContribFeatureHAAR Class Reference
Tracking API » Tracking API implementation details

TrackerContribFeature based on HAAR features, used by TrackerMIL and many others algorithms. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerContribFeatureHAAR:

## Classes
struct | Params

## Public Member Functions
| TrackerContribFeatureHAAR (const TrackerContribFeatureHAAR::Params &parameters=TrackerContribFeatureHAAR::Params())
| Constructor.
| ~TrackerContribFeatureHAAR () CV_OVERRIDE
bool | extractSelected (const std::vector< int > selFeatures, const std::vector< Mat > &images, Mat &response)
| Compute the features only for the selected indices in the images collection.
CvHaarEvaluator::FeatureHaar & | getFeatureAt (int id)
| Get the feature in position id.
void | selection (Mat &response, int npoints) CV_OVERRIDE
| Identify most effective features.
bool | swapFeature (int id, CvHaarEvaluator::FeatureHaar &feature)
| Swap the feature in position id with the feature input.
bool | swapFeature (int source, int target)
| Swap the feature in position source with the feature in position target.
Public Member Functions inherited from cv::detail::tracking::TrackerContribFeature
virtual | ~TrackerContribFeature ()
String | getClassName () const
| Get the name of the specific TrackerContribFeature.
Public Member Functions inherited from cv::detail::tracking::TrackerFeature
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection.

## Protected Member Functions
bool | computeImpl (const std::vector< Mat > &images, Mat &response) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::tracking::TrackerFeature

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::TrackerContribFeature
static Ptr< TrackerContribFeature > | create (const String &trackerFeatureType)
| Create TrackerContribFeature by tracker feature type.
Protected Attributes inherited from cv::detail::tracking::TrackerContribFeature
String | className

## Detailed Description

TrackerContribFeature based on HAAR features, used by TrackerMIL and many others algorithms.

Note
  HAAR features implementation is copied from apps/traincascade and modified according to MIL

## Constructor & Destructor Documentation

## ◆ TrackerContribFeatureHAAR()

cv::detail::tracking::TrackerContribFeatureHAAR::TrackerContribFeatureHAAR | ( | const TrackerContribFeatureHAAR::Params & | parameters = TrackerContribFeatureHAAR::Params() | ) |

Constructor.

Parameters

  parameters | TrackerContribFeatureHAAR parameters TrackerContribFeatureHAAR::Params

## ◆ ~TrackerContribFeatureHAAR()

cv::detail::tracking::TrackerContribFeatureHAAR::~TrackerContribFeatureHAAR | ( |  | ) |

## Member Function Documentation

## ◆ computeImpl()

bool cv::detail::tracking::TrackerContribFeatureHAAR::computeImpl | ( | const std::vector< Mat > & | images,
|  | Mat & | response )
| protected virtual

Implements cv::detail::tracking::TrackerFeature.

## ◆ extractSelected()

bool cv::detail::tracking::TrackerContribFeatureHAAR::extractSelected | ( | const std::vector< int > | selFeatures,
|  | const std::vector< Mat > & | images,
|  | Mat & | response )

Compute the features only for the selected indices in the images collection.

Parameters

  selFeatures | indices of selected features
  images | The images
  response | Collection of response for the specific TrackerContribFeature

## ◆ getFeatureAt()

CvHaarEvaluator::FeatureHaar & cv::detail::tracking::TrackerContribFeatureHAAR::getFeatureAt | ( | int | id | ) |

Get the feature in position id.

Parameters

  id | The position

## ◆ selection()

void cv::detail::tracking::TrackerContribFeatureHAAR::selection | ( | Mat & | response,
|  | int | npoints )
| virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerContribFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implements cv::detail::tracking::TrackerContribFeature.

## ◆ swapFeature() [1/2]

bool cv::detail::tracking::TrackerContribFeatureHAAR::swapFeature | ( | int | id,
|  | CvHaarEvaluator::FeatureHaar & | feature )

Swap the feature in position id with the feature input.

Parameters

  id | The position
  feature | The feature

## ◆ swapFeature() [2/2]

bool cv::detail::tracking::TrackerContribFeatureHAAR::swapFeature | ( | int | source,
|  | int | target )

Swap the feature in position source with the feature in position target.

Parameters

  source | The source position
  target | The target position

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp